#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		_bindir		/bin
#-----------------------------------------------------------------------------
Name		:	tcsh
Version		:	TCSH6_24_00
Release		:	17.0.10.rel%{?dist}
Summary		:	An enhanced version of csh, the C shell
Group		:	Applications/Editors

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	git://github.com/tcsh-org/tcsh.git

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
%description
Tcsh is a version of the Berkeley C-Shell, with the addition of: 
a command line editor, command and file name completion, listing, etc. 
and a bunch of small additions to the shell itself.

Tcsh has been ported to most unix variants, and can be tinkered to work
in unix systems that it has not ported yet. See the Ported file for
a more complete list of ported systems and in the config directory for
a configuration file that matches your system.
Tcsh also runs under VMS/POSIX and OS/2+emx; the OS/2 port is not
complete yet.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

%{__ln_s} tcsh	%{buildroot}%{_bindir}/csh

#%{__ln_s} tcsh.1 %{buildroot}%{_mandir}/man1/csh.1

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md
%{_bindir}/%{name}
%{_bindir}/csh
%{_datadir}/locale/*/LC_MESSAGES/%{name}.cat
%{_mandir}/man1/%{name}.1.gz

#-----------------------------------------------------------------------------
%changelog
